summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin37489 -> 37481 bytes
-rw-r--r--eclass/flag-o-matic.eclass15
-rw-r--r--eclass/pypi.eclass2
-rw-r--r--eclass/ruby-fakegem.eclass4
-rw-r--r--eclass/ruby-ng.eclass6
5 files changed, 13 insertions, 14 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index d79dccdf3777..eefdc6cfe7e1 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/flag-o-matic.eclass b/eclass/flag-o-matic.eclass
index a4e8f19e0071..6bec3df30881 100644
--- a/eclass/flag-o-matic.eclass
+++ b/eclass/flag-o-matic.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: flag-o-matic.eclass
@@ -888,15 +888,14 @@ no-as-needed() {
esac
}
-# @FUNCTION: _test-compile-PROG
+# @FUNCTION: test-compile
# @USAGE: <language> <code>
-# @INTERNAL
# @DESCRIPTION:
# Attempts to compile (and possibly link) the given program. The first
# <language> parameter corresponds to the standard -x compiler argument.
# If the program should additionally be attempted to be linked, the string
# "+ld" should be added to the <language> parameter.
-_test-compile-PROG() {
+test-compile() {
local lang=$1
local code=$2
shift 2
@@ -982,7 +981,7 @@ append-atomic-flags() {
local code
# first, ensure we can compile a trivial program
- # this is because we can't distinguish if _test-compile-PROG
+ # this is because we can't distinguish if test-compile
# fails because -latomic is actually needed or if we have a
# broken toolchain (like due to bad FLAGS)
read -r -d '' code <<- EOF
@@ -996,7 +995,7 @@ append-atomic-flags() {
# let other pieces of the build fail later down the line than to
# make people think that something to do with atomic support is the
# cause of their problems.
- _test-compile-PROG "c+ld" "${code}" || return
+ test-compile "c+ld" "${code}" || return
local bytesizes
[[ "${#}" == "0" ]] && bytesizes=( "1" "2" "4" "8" ) || bytesizes="${@}"
@@ -1017,7 +1016,7 @@ append-atomic-flags() {
EOF
# do nothing if test program links fine
- _test-compile-PROG "c+ld" "${code}" && continue
+ test-compile "c+ld" "${code}" && continue
# ensure that the toolchain supports -latomic
test-flags-CCLD "-latomic" &>/dev/null || die "-latomic is required but not supported by $(tc-getCC)"
@@ -1025,7 +1024,7 @@ append-atomic-flags() {
append-libs "-latomic"
# verify that this did indeed fix the problem
- _test-compile-PROG "c+ld" "${code}" || \
+ test-compile "c+ld" "${code}" || \
die "libatomic does not include an implementation of ${bytesize}-byte atomics for this toolchain"
# if any of the required bytesizes require -latomic, no need to continue
diff --git a/eclass/pypi.eclass b/eclass/pypi.eclass
index ca3b6f67803d..53505de8e67e 100644
--- a/eclass/pypi.eclass
+++ b/eclass/pypi.eclass
@@ -16,7 +16,7 @@
# the eclass), and the version is translated using
# pypi_translate_version.
#
-# If necessary, SRC_URI and S can be overriden by the ebuild. Two
+# If necessary, SRC_URI and S can be overridden by the ebuild. Two
# helper functions, pypi_sdist_url and pypi_wheel_url are provided
# to generate URLs to artifacts of specified type, with customizable
# URL components. Additionally, pypi_wheel_name can be used to generate
diff --git a/eclass/ruby-fakegem.eclass b/eclass/ruby-fakegem.eclass
index 8cf5dd70f864..9ef5e1f098d1 100644
--- a/eclass/ruby-fakegem.eclass
+++ b/eclass/ruby-fakegem.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: ruby-fakegem.eclass
@@ -552,7 +552,7 @@ each_fakegem_test() {
case ${RUBY_FAKEGEM_RECIPE_TEST} in
rake)
- MT_NO_PLUGINS=true ${RUBY} --disable=did_you_mean -S rake ${RUBY_FAKEGEM_TASK_TEST} || die "tests failed"
+ MT_NO_PLUGINS=true ${RUBY} --disable=did_you_mean -S rake ${RUBY_FAKEGEM_TASK_TEST} || die -n "tests failed"
;;
rspec)
RSPEC_VERSION=2 ruby-ng_rspec
diff --git a/eclass/ruby-ng.eclass b/eclass/ruby-ng.eclass
index 67c22d518a31..f85a933f81d9 100644
--- a/eclass/ruby-ng.eclass
+++ b/eclass/ruby-ng.eclass
@@ -699,7 +699,7 @@ ruby-ng_rspec() {
fi
if [[ "${DEPEND}${BDEPEND}" != *"dev-ruby/rspec"* ]]; then
- ewarn "Missing test dependency dev-ruby/rspec"
+ eqawarn "Missing test dependency dev-ruby/rspec"
fi
local rspec_params=
@@ -721,7 +721,7 @@ ruby-ng_rspec() {
;;
esac
- ${RUBY} -S rspec-${version} ${rspec_params} ${files} || die "rspec failed"
+ ${RUBY} -S rspec-${version} ${rspec_params} ${files} || die -n "rspec failed"
}
# @FUNCTION: ruby-ng_cucumber
@@ -754,7 +754,7 @@ ruby-ng_cucumber() {
;;
esac
- CUCUMBER_PUBLISH_QUIET=true ${RUBY} -S cucumber ${cucumber_params} "$@" || die "cucumber failed"
+ CUCUMBER_PUBLISH_QUIET=true ${RUBY} -S cucumber ${cucumber_params} "$@" || die -n "cucumber failed"
}
# @FUNCTION: ruby-ng_testrb-2